Last Comment Bug 309400 - LDAP attribute map only allows a maximum of one attribute to be zero-length
: LDAP attribute map only allows a maximum of one attribute to be zero-length
Status: RESOLVED FIXED
: fixed1.8
Product: MailNews Core
Classification: Components
Component: LDAP Integration (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Dan Mosedale (:dmose)
: grylchan
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-20 17:07 PDT by Dan Mosedale (:dmose)
Modified: 2008-07-31 01:23 PDT (History)
1 user (show)
asa: blocking1.8b5+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (715 bytes, patch)
2005-09-20 17:10 PDT, Dan Mosedale (:dmose)
mozilla: review+
mozilla: superreview+
asa: approval1.8b5+
Details | Diff | Splinter Review

Description Dan Mosedale (:dmose) 2005-09-20 17:07:54 PDT
This is wrong and causes a set of use cases of ldap attribute map code to fail.
 Patch forthcoming.
Comment 1 Dan Mosedale (:dmose) 2005-09-20 17:10:12 PDT
Created attachment 196855 [details] [diff] [review]
patch, v1

Explicitly don't check for multiple null-valued attribute-lists when sanity
checking an attribute map.
Comment 2 Dan Mosedale (:dmose) 2005-09-22 16:08:51 PDT
Fixed on the trunk.  Requesting approval for the 1.8 branch, as this bug
severely curtails the usability of the LDAP attribute map, and the fix is low risk.

Note You need to log in before you can comment on or make changes to this bug.